with Ada.Sequential_IO;

package Shardware is

  type Byte is mod 256;
  package Bin_IO is new Ada.Sequential_IO (Byte);
  type ByteArr is array (Integer range <>) of Byte;

  type RegArr is array (Integer range <>) of Integer;

  function My_Shift (Value : Byte; Amount : Integer) return Integer;

  procedure Mov (Register : in out Integer; Value : Integer);
  procedure Add (Register : in out Integer; Value : Integer);

end Shardware;
